Package com.avaya.clientservices.call

## Enum MediaEncryptionType

- java.lang.Object
- - java.lang.Enum<MediaEncryptionType>
  - - com.avaya.clientservices.call.MediaEncryptionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MediaEncryptionType>`

      public enum MediaEncryptionType
      extends java.lang.Enum<MediaEncryptionType>

  Supported media encryption types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AES_128_HMAC_SHA1_32` | AES 128 bit HMAC SHA-1 32 bit
    `AES_128_HMAC_SHA1_80` | AES 128 bit HMAC SHA-1 80 bit
    `AES_256_HMAC_SHA1_32` | AES 256 bit HMAC SHA-1 32 bit
    `AES_256_HMAC_SHA1_80` | AES 256 bit HMAC SHA-1 80 bit
    `NONE` | No encryption

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaEncryptionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MediaEncryptionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MediaEncryptionType NONE

      No encryption

    - #### AES_128_HMAC_SHA1_32

          public static final MediaEncryptionType AES_128_HMAC_SHA1_32

      AES 128 bit HMAC SHA-1 32 bit

    - #### AES_128_HMAC_SHA1_80

          public static final MediaEncryptionType AES_128_HMAC_SHA1_80

      AES 128 bit HMAC SHA-1 80 bit

    - #### AES_256_HMAC_SHA1_32

          public static final MediaEncryptionType AES_256_HMAC_SHA1_32

      AES 256 bit HMAC SHA-1 32 bit

    - #### AES_256_HMAC_SHA1_80

          public static final MediaEncryptionType AES_256_HMAC_SHA1_80

      AES 256 bit HMAC SHA-1 80 bit

  - ### Method Detail

    - #### values

          public static MediaEncryptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaEncryptionType c : MediaEncryptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaEncryptionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null